Toad World® Forums

Toad Version Control on TFS 2015 or VSO?

We’re looking to upgrade our on-prem TFS 2010 to something newer, preferably VSO. Anybody have a way to get Toad for SQL Server to talk to anything beyond TFS 2012?

Hi,

Sorry there is no plan for Version Control support TFS 2015 yet. I create a task TSS-1292 to log this for discuss.

But it maybe will not be improved quickly .

Kelly

I’d like to see this happen as well.

Based on Microsoft TFS client/server compatibility documentation located here and the fact that Toad supports Team Explorer v. 2008, 2010 and 2012, you can connect to TFS Server 2015 using Team Server 2012 for example.

Here is the compatibility matrix from the MS documentation:

TFS 2015 support notes
TFS 2013 support notes
TFS 2012 support notes
TFS 2010 support notes

Visual Studio/Team Explorer 2012
Requires latest Visual Studio 2012 update. Supports Git with Visual Studio Tools for Git extension.
Requires latest Visual Studio 2012 update. Supports Git with Visual Studio Tools for Git extension.
Supported (RTM or latest update). Supports Git with Visual Studio Tools for Git extension.
Supported (RTM or latest update). Supports Git with Visual Studio Tools for Git extension.
Visual Studio/Team Explorer 2010
Requires SP1 and Compat GDR.
Requires SP1 and Compat GDR.
Requires SP1 and Compat GDR.
Requires SP1 and Compat GDR.
Visual Studio/Team Explorer 2008
Version Control available using MSSCCI provider
Version Control available using MSSCCI provider
Requires SP1 and Compat GDR.
Version control officially supported with MSSCCI provider. Version control unofficially supported with SP1 and Compat GDR.

Zdenek,

Thanks for that info. I’ll give Team Explorer 2012 and report back.

Brian